import java.util.concurrent.ThreadLocalRandom;


public class Consommateur implements Runnable {

	private BufferCirc buffer;

	public Consommateur(BufferCirc b) {
		buffer = b;
	}

	public Consommateur(BufferCirc b, Thread th, String name) {
		buffer = b;
		setThName(th, name);
	}

	public void setThName(Thread th, String name) {
		th.setName(name);
	}

	public void run() {
		Integer val;
		while (true) {
			val = (Integer)buffer.preleve();
			System.out.println(Thread.currentThread().getName() + " a preleve " + val);
			try {
				Thread.sleep(ThreadLocalRandom.current().nextInt(1001));
			}
			catch (InterruptedException e) {
				System.err.println("InterruptedException: " + e);
			}
		}
	}

} // fin classe Consommateur
