import java.util.concurrent.ThreadLocalRandom;


public class Producteur implements Runnable {

	private BufferCirc buffer;
	private int val;


	public Producteur(BufferCirc b) {
		buffer = b;
	}

	public Producteur(BufferCirc b, Thread th, String name) {
		buffer = b;
		setThName(th, name);
	}

	public void setThName(Thread th, String name) {
		th.setName(name);
	}

	public void run() {
		while (true) {
			buffer.depose(new Integer(val));
			System.out.println(Thread.currentThread().getName() + " a depose " + val);
			val++;
			try {
				Thread.sleep(ThreadLocalRandom.current().nextInt(101));
			}
			catch (InterruptedException e) {
				System.err.println("InterruptedException: " + e);
			}
		}
	}

} // fin classe Producteur
